function xt = y_avant_x (x0, y0, T)
VAR_BRUIT = [1 1; 1 2];
NPAS = 2000;
dt = T / NPAS;
sigma = chol (VAR_BRUIT)';
xt = x0;
yt = y0;
for i = 1: NPAS
    bruit = sigma * randn (2, 1) * sqrt (dt);
    yt = yt + xt * bruit(2);
    xt = xt + yt * bruit(1);
end
return
end
